#!/bin/sh

if [ ! -d $FPLIB/OPTO ] ; then mkdir -p $FPLIB/OPTO ; fi

# fp-chip.pl [-?] [-r | -c | -p | -i | -l] nm C1 X1 Y1 R1 R2 [cx] [mx] [rd] [C2 Y2]
# chip-l.pl [-?] [-d]  L T W H [D]

$FPPATH/fp-chip.pl -l LEDC_1005_15H__Kingbright_KPHHS1005_Series 0.44 0.64 0.67 0 0 > $FPLIB/OPTO/LEDC_1005_15H__Kingbright_KPHHS1005_Series.fp
cat > $FPLIB/OPTO/LEDC_1005_15H__Kingbright_KPHHS1005_Series.3dm <<EOF
model: @chip-l.pl 1 0.4 0.5 0.15 0.35
EOF


$FPPATH/fp-chip.pl -l LEDC_1608_50H__Kingbright_KP1608_Series 0.85 0.95 0.8 0.2 0.6 > $FPLIB/OPTO/LEDC_1608_50H__Kingbright_KP1608_Series.fp
cat > $FPLIB/OPTO/LEDC_1608_50H__Kingbright_KP1608_Series.3dm <<EOF
model: @chip-l.pl 1.6 0.3 0.8 0.5 0.6
EOF

$FPPATH/fp-chip.pl -l LEDC_1608_10H__Kingbright_KPG1608_Series 0.85 0.95 0.8 0.2 0.6 > $FPLIB/OPTO/LEDC_1608_10H__Kingbright_KPG1608_Series.fp
cat > $FPLIB/OPTO/LEDC_1608_10H__Kingbright_KPG1608_Series.3dm <<EOF
model: @chip-l.pl 1.6 0.3 0.8 0.1 0.15
EOF

$FPPATH/fp-chip.pl -l LEDC_1608_25H__Kingbright_KPT1608_Series 0.85 0.95 0.8 0.2 0.6 > $FPLIB/OPTO/LEDC_1608_25H__Kingbright_KPT1608_Series.fp
cat > $FPLIB/OPTO/LEDC_1608_25H__Kingbright_KPT1608_Series.3dm <<EOF
model: @chip-l.pl 1.6 0.3 0.8 0.25 0.5
EOF


$FPPATH/fp-chip.pl -l LEDC_2012_50H__Kingbright_KP2012_Series 1 1.4 0.9 0.2 1.1 > $FPLIB/OPTO/LEDC_2012_50H__Kingbright_KP2012_Series.fp
cat > $FPLIB/OPTO/LEDC_2012_50H__Kingbright_KP2012_Series.3dm <<EOF
model: @chip-l.pl 2 0.4 1.25 0.5 0.6
EOF

$FPPATH/fp-chip.pl -l LEDC_2012_25H__Kingbright_KPT2012_Series 1 1.4 0.9 0.2 1.1 > $FPLIB/OPTO/LEDC_2012_25H__Kingbright_KPT2012_Series.fp
cat > $FPLIB/OPTO/LEDC_2012_25H__Kingbright_KPT2012_Series.3dm <<EOF
model: @chip-l.pl 2 0.4 1.25 0.25 0.5
EOF

# fp-radial.pl [-?] [-m] [-M] [-c|-p|-l] [-v|-h|-hu|-hd] nm C X d R1 R2 [W] [cx] [mx] [rd]
# radial-led.pl [-?] [-d] [-r] [-v|-h|-hu|-hd] H D W L d [k] [M] [t] [b] [h]
# radial-led.pl [-?] [-d] -c [-v|-h|-hu|-hd] H A B L d [k] [M] [t] [b] [h]

$FPPATH/fp-radial.pl -l LED_500W_860H_VM__Kingbright_L1513_Series 2.54 1.35 0.85 5.9 > $FPLIB/OPTO/LED_500W_860H_VM__Kingbright_L1513_Series.fp
cat > $FPLIB/OPTO/LED_500W_860H_VM__Kingbright_L1513_Series.3dm <<EOF
model: @radial-led.pl 8.6 5.9 5 2.54 0.5 2
EOF

$FPPATH/fp-radial.pl -l -hu LED_500W_860H_HUM__Kingbright_L1513_Series 2.54 1.35 0.85 5.9 > $FPLIB/OPTO/LED_500W_860H_HUM__Kingbright_L1513_Series.fp
cat > $FPLIB/OPTO/LED_500W_860H_HUM__Kingbright_L1513_Series.3dm <<EOF
model: @radial-led.pl -hu 8.6 5.9 5 2.54 0.5 2
EOF

$FPPATH/fp-radial.pl -l -hd LED_500W_860H_HDM__Kingbright_L1513_Series 2.54 1.35 0.85 5.9 > $FPLIB/OPTO/LED_500W_860H_HDM__Kingbright_L1513_Series.fp
cat > $FPLIB/OPTO/LED_500W_860H_HDM__Kingbright_L1513_Series.3dm <<EOF
model: @radial-led.pl -hd 8.6 5.9 5 2.54 0.5 2
EOF

$FPPATH/fp-radial.pl -l LED_300W_540H_VM__Kingbright_L7104_Series 2.54 1.35 0.85 3.2 > $FPLIB/OPTO/LED_300W_540H_VM__Kingbright_L7104_Series.fp
cat > $FPLIB/OPTO/LED_300W_540H_VM__Kingbright_L7104_Series.3dm <<EOF
model: @radial-led.pl 5.4 3.2 2.9 2.54 0.5 2 1.5
EOF

$FPPATH/fp-radial.pl -l -hu LED_300W_540H_HUM__Kingbright_L7104_Series 2.54 1.35 0.85 3.2 > $FPLIB/OPTO/LED_300W_540H_HUM__Kingbright_L7104_Series.fp
cat > $FPLIB/OPTO/LED_300W_540H_HUM__Kingbright_L7104_Series.3dm <<EOF
model: @radial-led.pl -hu 5.4 3.2 2.9 2.54 0.5 2 1.5
EOF

$FPPATH/fp-radial.pl -l -hd LED_300W_540H_HDM__Kingbright_L7104_Series 2.54 1.35 0.85 3.2 > $FPLIB/OPTO/LED_300W_540H_HDM__Kingbright_L7104_Series.fp
cat > $FPLIB/OPTO/LED_300W_540H_HDM__Kingbright_L7104_Series.3dm <<EOF
model: @radial-led.pl -hd 5.4 3.2 2.9 2.54 0.5 2 1.5
EOF

$FPPATH/fp-radial.pl -l -ab LEDR_500W_200D_700H_VM__Kingbright_L103_Series 2.54 1.35 0.85 5 2 > $FPLIB/OPTO/LEDR_500W_200D_700H_VM__Kingbright_L103_Series.fp
cat > $FPLIB/OPTO/LEDR_500W_200D_700H_VM__Kingbright_L103_Series.3dm <<EOF
model: @radial-led.pl -c 7 5 2 2.54 0.5 2
EOF

$FPPATH/fp-radial.pl -l -ab -hu LEDR_500W_200D_700H_HUM__Kingbright_L103_Series 2.54 1.35 0.85 5 2 > $FPLIB/OPTO/LEDR_500W_200D_700H_HUM__Kingbright_L103_Series.fp
cat > $FPLIB/OPTO/LEDR_500W_200D_700H_HUM__Kingbright_L103_Series.3dm <<EOF
model: @radial-led.pl -c -hu 7 5 2 2.54 0.5 2
EOF

$FPPATH/fp-radial.pl -l -ab -hd LEDR_500W_200D_700H_HDM__Kingbright_L103_Series 2.54 1.35 0.85 5 2 > $FPLIB/OPTO/LEDR_500W_200D_700H_HDM__Kingbright_L103_Series.fp
cat > $FPLIB/OPTO/LEDR_500W_200D_700H_HDM__Kingbright_L103_Series.3dm <<EOF
model: @radial-led.pl -c -hd 7 5 2 2.54 0.5 2
EOF
